VERSION 5.00
Begin VB.Form frmMain 
   Caption         =   "Form1"
   ClientHeight    =   7980
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7320
   LinkTopic       =   "Form1"
   ScaleHeight     =   7980
   ScaleWidth      =   7320
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton GetErrorCode 
      Caption         =   "Get ErrorCode"
      Height          =   495
      Left            =   4920
      TabIndex        =   11
      Top             =   4920
      Width           =   1215
   End
   Begin VB.CommandButton GetDllVersion 
      Caption         =   "FTID_Get_Dll_Version"
      Height          =   495
      Left            =   2760
      TabIndex        =   10
      Top             =   3720
      Width           =   1815
   End
   Begin VB.CommandButton GetDeviceChipID 
      BackColor       =   &H00FF00FF&
      Caption         =   "CHIP ID"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   5400
      MaskColor       =   &H00FF0000&
      TabIndex        =   9
      Top             =   3000
      Width           =   1215
   End
   Begin VB.CommandButton GetDeviceLocation 
      Caption         =   "FTID_Location"
      Height          =   495
      Left            =   2880
      TabIndex        =   8
      Top             =   2520
      Width           =   1215
   End
   Begin VB.CommandButton GetDeviceDescription 
      Caption         =   "FTID_Description"
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   3720
      Width           =   2295
   End
   Begin VB.CommandButton GetSerialNumber 
      Caption         =   "FTID_Serial_Number"
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   2295
   End
   Begin VB.CommandButton GetNumDevices 
      Caption         =   "FTID_Number_Devices"
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   2520
      Width           =   2295
   End
   Begin VB.CommandButton ClassicClose 
      Caption         =   "Classic_Close"
      Height          =   495
      Left            =   3720
      TabIndex        =   3
      Top             =   1320
      Width           =   1215
   End
   Begin VB.CommandButton ClassicOpen 
      Caption         =   "Classic_Open"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   1200
      Width           =   1215
   End
   Begin VB.ListBox LoggerList 
      Height          =   2790
      Left            =   360
      TabIndex        =   1
      Top             =   4920
      Width           =   4095
   End
   Begin VB.CommandButton ListDevices 
      Caption         =   "List_Devices"
      Height          =   495
      Left            =   2040
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "RESULTS"
      Height          =   255
      Left            =   0
      TabIndex        =   4
      Top             =   4560
      Width           =   1215
   End
   Begin VB.Line Line2 
      X1              =   0
      X2              =   6840
      Y1              =   4440
      Y2              =   4440
   End
   Begin VB.Line Line1 
      X1              =   0
      X2              =   6840
      Y1              =   2160
      Y2              =   2160
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'Definitions

Dim ftstatus As Long
Dim lngnumDevs As Long
Dim strDescription As String * 256
Dim strSerialNumber As String * 256


Dim ftid_Status As Long
Dim ftid_Status2 As Long
Dim NumDevs As Long
Dim serialbuffer As String * 256
Dim descriptionbuffer As String * 256
Dim LocationID As Long
Dim ChipID As Long
Dim Dllbuffer As String * 256
Dim ErrorBuffer As String * 256



'Closes the open device

Private Sub ClassicClose_Click()

    If FT_Close(lngHandle) <> FT_OK Then
        LoggerList.AddItem "Close Failed"
    Exit Sub
    Else
        LoggerList.AddItem "Closed OK"
    End If
 
End Sub

'Assumes only one device fitted and opens that device
'Cannot open a device already opened

Private Sub ClassicOpen_Click()
    
    ftstatus = FT_Open(0, lngHandle)
        If ftstatus <> FT_OK Then
            LoggerList.AddItem "Open Failed status=" & ftstatus
        Exit Sub
        Else
            LoggerList.AddItem "Open OK"
        End If
    
End Sub



Private Sub GetDeviceChipID_Click()

ftid_Status = FTID_GetDeviceChipID(0, ChipID)

    If ftid_Status <> FTID_SUCCESS Then
        LoggerList.AddItem "FTID_GetDeviceChipID failed status = " & ftid_Status
        Exit Sub
    Else
            LoggerList.AddItem ("Chip ID = " & ChipID)
    End If

End Sub

Private Sub GetDeviceDescription_Click()
ftid_Status = FTID_GetDeviceDescription(0, descriptionbuffer, 256)

    If ftid_Status <> FTID_SUCCESS Then
        LoggerList.AddItem "FTID_GetDeviceDescription failed status = " & ftid_Status
        Exit Sub
    Else
            LoggerList.AddItem ("Description = " & descriptionbuffer)
    End If

End Sub

Private Sub GetDeviceLocation_Click()

ftid_Status = FTID_GetDeviceLocationID(0, LocationID)

    If ftid_Status <> FTID_SUCCESS Then
    
        LoggerList.AddItem ("FTID_GetDeviceLocationID failed status = " & ftid_Status)
        Exit Sub
        
    Else
            LoggerList.AddItem ("Location ID = " & LocationID)
    End If

End Sub

Private Sub GetDllVersion_Click()

ftid_Status = FTID_GetDllVersion(Dllbuffer, 256)
    
    If ftid_Status <> FTID_SUCCESS Then
        LoggerList.AddItem "FTID_GetDllVersion failed status = " & ftid_Status
        Exit Sub
        Else
            LoggerList.AddItem "Dll Version = " & Dllbuffer
        End If

End Sub

Private Sub GetErrorCode_Click()

    If ftid_Status <> FTID_SUCCESS Then

        ftid_Status2 = FTID_GetErrorCodeString("EN", ftid_Status, ErrorBuffer, 256)

        LoggerList.AddItem ("FTID_GetDeviceLocationID failed status = " & ErrorBuffer)
    
    Else
    
        LoggerList.AddItem "No error code to report"
        
    End If

End Sub

Private Sub GetNumDevices_Click()


ftid_Status = FTID_GetNumDevices(NumDevs)
    
    If ftid_Status <> FTID_SUCCESS Then
        LoggerList.AddItem "FTID_GetNumDevs failed status = " & ftid_Status
        Exit Sub
        Else
            LoggerList.AddItem ("Number of Devices = " & NumDevs)
        End If


End Sub

Private Sub GetSerialNumber_Click()

ftid_Status = FTID_GetDeviceSerialNumber(0, serialbuffer, 256)

    If ftid_Status <> FTID_SUCCESS Then
        LoggerList.AddItem "FTID_GetDeviceSerialNumber failed status = " & ftid_Status
        Exit Sub
    Else
            LoggerList.AddItem ("Serial Number = " & serialbuffer)
    End If


End Sub

' Can list any number of devices
' Gets description of first device (index 0)
' Gets serial number of first device (index 0)

Private Sub ListDevices_Click()

    ftstatus = FT_GetNumDevices(lngnumDevs, vbNullString, FT_LIST_BY_NUMBER_ONLY)
        If ftstatus <> FT_OK Then
            LoggerList.AddItem "FT_ListDevices failed status = " & ftstatus
            Exit Sub
        Else
            LoggerList.AddItem "Number of devices=" & lngnumDevs
        End If
       
    If FT_ListDevices(0, strDescription, FT_LIST_BY_INDEX Or FT_OPEN_BY_DESCRIPTION) <> FT_OK Then
        LoggerList.AddItem ("ListDevices failed")
        Exit Sub
    Else
        LoggerList.AddItem ("Device Description " & strDescription)
    End If

    If FT_ListDevices(0, strSerialNumber, FT_LIST_BY_INDEX Or FT_OPEN_BY_SERIAL_NUMBER) <> FT_OK Then
        LoggerList.AddItem ("ListDevices failed")
        Exit Sub
    Else
        LoggerList.AddItem ("Serial Number " & strSerialNumber)
    End If
       
End Sub


